Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
waap_top_user_agents = client.waap.ip_info.get_top_user_agents(
domain_id=1,
ip="192.168.1.1",
)
print(waap_top_user_agents)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
waapTopUserAgents, err := client.Waap.IPInfo.GetTopUserAgents(context.TODO(), waap.IPInfoGetTopUserAgentsParams{
DomainID: 1,
IP: "192.168.1.1",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", waapTopUserAgents)
}
curl --request GET \
--url https://api.gcore.com/waap/v1/ip-info/top-user-agents \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/ip-info/top-user-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"user_agent": "<string>",
"count": 123
}
]{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}IP Spotlight
Fetch top user agents
Retrieve the top 10 user agents interacting with a specified domain, filtered by IP.
GET
/
waap
/
v1
/
ip-info
/
top-user-agents
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
waap_top_user_agents = client.waap.ip_info.get_top_user_agents(
domain_id=1,
ip="192.168.1.1",
)
print(waap_top_user_agents)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
waapTopUserAgents, err := client.Waap.IPInfo.GetTopUserAgents(context.TODO(), waap.IPInfoGetTopUserAgentsParams{
DomainID: 1,
IP: "192.168.1.1",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", waapTopUserAgents)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
The IP address to check
The identifier for a domain. When specified, the response will exclusively contain data pertinent to the indicated domain, filtering out information from other domains.
Was this page helpful?
Retrieve top 10 accessed URLs for an IP on a domainGet top attacked domains from a specific IP (account-scoped)
⌘I